#!/bin/bash

export FusekiInstallDir=/usr/local/fuseki
export FusekiPort=3030
export FusekiJVMArgs="-cp $FusekiInstallDir/fuseki-server.jar:$FusekiInstallDir/lib/* -Xmx1200M"
export Date=`date +%Y-%m-%d`
export FusekiLogFile=$FusekiInstallDir/FusekiLog-$Date.log
export FusekiConfigFile=$FusekiInstallDir/fuseki-vivo.ttl
export FusekiServiceName=/VIVO

# Change directory to FusekiInstallDir
cd $FusekiInstallDir

# Check to see if logfile exists
if [ ! -f $FusekiLogFile ]; then
	touch $FusekiLogFile
fi

# Check to see if config file exists
if [ ! -f $FusekiConfigFile ]; then
	echo “ERROR – Fuseki failed to start – no configuration file - $FusekiConfigFile” >> $FusekiLogFile
	exit 1
fi

# Execute Java calling the package for Fuseki
java $FusekiJVMArgs org.apache.jena.fuseki.FusekiCmd --desc $FusekiConfigFile --port=$FusekiPort $FusekiServiceName >> $FusekiLogFile 2>&1 &

